> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/aquanow/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/aquanow/legacy/data-objects-and-statuses/executions-objects/duration-order-objects.md).

# Duration Order Objects

### ExecutionsObject

<table><thead><tr><th width="225.33333333333331">        Parameter</th><th width="173" align="center">Type</th><th>                              Description</th></tr></thead><tbody><tr><td><code>error</code></td><td align="center">string</td><td>Contains an error message if an error has occurred (e.g., insufficient funds).</td></tr><tr><td><code>type</code></td><td align="center">string</td><td>Order type</td></tr><tr><td><code>payload</code></td><td align="center">object</td><td>Returns a <a href="#executionspayloadobject">ExecutionsPayloadObject</a></td></tr></tbody></table>

### ExecutionsPayloadObject

<table><thead><tr><th width="222.33333333333331">        Parameter</th><th width="157" align="center">Type</th><th>                              Description</th></tr></thead><tbody><tr><td><code>deliverCurrency</code></td><td align="center">string</td><td>Currency used for <code>deliverQuantity</code><br>For example, if ticker is <strong>BTC-USD</strong> and tradeSide is <strong>buy</strong>, then the delivered currency is <strong>USD.</strong> If tradeSide is <strong>sell,</strong> the delivered currency is <strong>BTC.</strong></td></tr><tr><td><code>deliverQuantity</code></td><td align="center">number</td><td>Quantity of currency delivered by user based on the ticker and tradeSide. </td></tr><tr><td><code>expireTime</code></td><td align="center">number</td><td>Expiration time in milliseconds of when the pre-existing order will expire. Expiration time must be within 90 days of order creation.</td></tr><tr><td><code>fee</code></td><td align="center">number</td><td>Trade fee</td></tr><tr><td><code>orderId</code></td><td align="center">string</td><td>Order ID</td></tr><tr><td><code>price</code></td><td align="center">number</td><td>Price in quote currency (i.e. if ticker is BTC-USD, then the price will be in USD)</td></tr><tr><td><code>quoteId</code></td><td align="center">string</td><td>ID of the quote provided by Aquanow</td></tr><tr><td><code>quoteTime</code></td><td align="center">number</td><td>Time quote was provided in milliseconds</td></tr><tr><td><code>receiveCurrency</code></td><td align="center">string</td><td>Currency used for <code>receiveQuantity</code><br>For example, if ticker is <strong>BTC-USD</strong> and tradeSide is <strong>buy</strong>, then the received currency is <strong>BTC.</strong> If tradeSide is <strong>sell,</strong> the received currency is <strong>USD.</strong></td></tr><tr><td><code>receiveQuantity</code></td><td align="center">number</td><td>Quantity of currency received by user based on the ticker and tradeSide. </td></tr><tr><td><code>symbol</code></td><td align="center">string</td><td>Currency pair (e.g., "BTC-USD")</td></tr><tr><td><code>ticker</code></td><td align="center">string</td><td>Currency pair (e.g., "BTC-USD")</td></tr><tr><td><code>tradeSide</code></td><td align="center">string</td><td>"buy" or "sell"</td></tr><tr><td><code>tradeTime</code></td><td align="center">number</td><td>Time trade was created in milliseconds</td></tr><tr><td><code>tradeStatus</code></td><td align="center">string</td><td>Trade status. View <a href="/pages/GgrimZxDxmC4ldt0DrhF">Statuses</a>' page for more information.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aquanow.io/aquanow/legacy/data-objects-and-statuses/executions-objects/duration-order-objects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
